"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MongoDbAppender = exports.configure = void 0;
const get_mongo_collection_1 = require("./sources/get-mongo-collection");
let dbConnection;
const configure = (config, _layouts) => {
    return Log(config);
};
exports.configure = configure;
exports.MongoDbAppender = {
    configure: exports.configure,
};
function Log(config) {
    const logPrefix = `${__filename}[${Log.name}]`;
    return (loggingEvent) => {
        (0, get_mongo_collection_1.getMongoCollection)(dbConnection, config, (errConnection, respConnection) => {
            if (!errConnection && respConnection) {
                dbConnection = respConnection;
                respConnection.insertOne(loggingEvent, (errInsert, respInsert) => {
                    if (errInsert) {
                        console.error(logPrefix, errInsert);
                    }
                    else {
                        console.info(logPrefix, JSON.stringify(respInsert));
                    }
                });
            }
            else {
                console.error(logPrefix, errConnection);
            }
        });
    };
}
//# sourceMappingURL=index.js.map